﻿using Syncfusion.UI.Xaml.Diagram;
using Syncfusion.UI.Xaml.Diagram.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _124820
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            diagram.PageSettings.PageBorderBrush = new SolidColorBrush(Colors.Transparent);
            diagram.Nodes = new ObservableCollection<Node>();
            diagram.Connectors = new ObservableCollection<Connector>();
            Node n1 = AddNode(100, 100, 100, 100, "Node1");
            Node n2 = AddNode(100, 100, 300, 300, "Node1");
       
        }

        private Node AddNode(double width, double height, double offx, double offy, string content)
        {
            Node node = new Node()
            {
                UnitHeight = height,
                UnitWidth = width,
                OffsetX = offx,
                OffsetY = offy,

            };
            AnnotationEditorViewModel cannotation = new AnnotationEditorViewModel()
            {
                Content = content,

            };
            node.Annotations = new ObservableCollection<IAnnotation>()
            {
                cannotation
            };
            
            (diagram.Nodes as ObservableCollection<Node>).Add(node);
            return node;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            diagram.Tool = Tool.ZoomPan;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            diagram.Tool = Tool.MultipleSelect;
        }

    }
   
}
